Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBObject

    java.lang.Object
      com.sun.mfwk.cib.CIBObject

All Implemented Interfaces:
  CIBObjectMBean, javax.management.MBeanRegistration

Direct Known Subclasses:
  CIBManagedObject, CIBProduct

public class CIBObject
extends java.lang.Object
implements CIBObjectMBean, javax.management.MBeanRegistration

Default implementation of a CIB Object MBean.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`java.lang.String` | `getModelVersion()` Returns the model version
`java.lang.String` | `getName()` Returns the "name" of the object.
`java.lang.String` | `getType()` Return the "type" of the object, as found in the "type=value" keyproperty of the ObjectName
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getModelVersion

    public java.lang.String getModelVersion()

  Returns the model version

  Specified by:
    `getModelVersion` in interface `CIBObjectMBean`
  Returns:
    String

### getName

    public java.lang.String getName()
                             throws javax.management.InvalidAttributeValueException

  Returns the "name" of the object. The "name=value" part of the ObjectName

  Specified by:
    `getName` in interface `CIBObjectMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getType

    public java.lang.String getType()
                             throws javax.management.InvalidAttributeValueException

  Return the "type" of the object, as found in the "type=value" keyproperty of the ObjectName

  Specified by:
    `getType` in interface `CIBObjectMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### preDeregister

    public void preDeregister()

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD